Last Comment Bug 475551 - Add .htaccess rules for new in-product help link "private-browsing"
: Add .htaccess rules for new in-product help link "private-browsing"
Status: VERIFIED FIXED
sumo_only
: fixed1.9.1
Product: support.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: 0.8.2
Assigned To: Laura Thomson :laura
:
:
Mentors:
http://support.mozilla.com/1/firefox/...
Depends on:
Blocks: 471726 471753
  Show dependency treegraph
 
Reported: 2009-01-27 09:54 PST by :Ehsan Akhgari
Modified: 2009-12-16 16:20 PST (History)
6 users (show)
mbeltzner: blocking‑firefox3.5+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description :Ehsan Akhgari 2009-01-27 09:54:21 PST
With bug 471753, we'll get a new product help link from Firefox (http://support.mozilla.com/1/%APP%/%VERSION%/%OS%/%LOCALE%/private-browsing) that needs to be directed to the Private+Browsing article.
Comment 1 Chris Ilias [:cilias] 2009-01-27 10:05:40 PST
Destination:
http://support.mozilla.com/kb/Private+Browsing?style_mode=inproduct

Laura, bug 466125 was assigned to you, so I figured that this one should be yours. Hope that's ok.
Comment 2 David Tenser [:djst] 2009-01-27 10:06:41 PST
(In reply to comment #1)
> Destination:
> http://support.mozilla.com/kb/Private+Browsing?style_mode=inproduct
> 
> Laura, bug 466125 was assigned to you, so I figured that this one should be
> yours. Hope that's ok.

Actually the destination is http://support.mozilla.com/%LOCALE%/kb/Private+Browsing?style_mode=inproduct
Comment 3 Laura Thomson :laura 2009-02-04 08:29:51 PST
In trunk r22001, branch r22002.

IT will need to run
sudo webroot/htaccess.sh 
in order to update htaccess rules on staging before this can be verified.  

This step will also be needed in the push bug.
Comment 4 :Ehsan Akhgari 2009-02-13 11:59:06 PST
The URL field link redirects correctly.  -> VERIFIED.
Comment 5 :Ehsan Akhgari 2009-03-08 08:32:45 PDT
The URL redirect here seems to work, so I'm not sure if the push-needed keyword is still necessary.  Is there more work for this bug?
Comment 6 Henrik Skupin (:whimboo) 2009-04-02 15:49:03 PDT
One question. When click the link in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2a1pre) Gecko/20090402 Minefield/3.6a1pre (.NET CLR 3.5.30729) ID:20090402045446 I'm getting redirected to the SUMO page. But the content for 3.0 is displayed. That means unless we don't have an equivalent version on SUMO we don't fall back to the latest version but 3.0?
Comment 7 Stephen Donner [:stephend] 2009-04-02 15:55:37 PDT
Henrik, I think you want bug 482347.
Comment 8 Henrik Skupin (:whimboo) 2009-04-03 07:25:24 PDT
Stephen, I was running 3.6a1. So my user agent hasn't whether 3.1 nor 3.5. The issue I was talking about is how far should we fall back for Firefox versions where no content is available? Shouldn't it be the last recent official version? I you want I could file a bug on that, so we don't spam this bug.
Comment 9 Stephen Donner [:stephend] 2009-04-03 22:24:53 PDT
(In reply to comment #8)
> Stephen, I was running 3.6a1. So my user agent hasn't whether 3.1 nor 3.5. The
> issue I was talking about is how far should we fall back for Firefox versions
> where no content is available? Shouldn't it be the last recent official
> version? I you want I could file a bug on that, so we don't spam this bug.

Henrik: please do file a bug on that; I'm not sure about future versions (thought I once knew), so it'd be good to have it as a reference; thanks!
Comment 10 Henrik Skupin (:whimboo) 2009-04-04 01:24:35 PDT
Ok, filed as bug 486814 for now and further discussion.

Note You need to log in before you can comment on or make changes to this bug.